import { relations } from 'drizzle-orm';
import { sqliteTable, text, integer } from 'drizzle-orm/sqlite-core';

export const images = sqliteTable('images', {
	id: integer('id').primaryKey(),
	source: text('source').unique(),
	alt: text('alt')
})

export const cards = sqliteTable('cards', {
	id: integer('id').primaryKey(),
	imageId: integer('image_id'),
	name: text('name'),
	link: text('link'),
})

export const cardsRelations = relations(cards, ({ one }) => ({
	images: one(images, {
		fields: [cards.imageId], references: [images.id]
	})
}))
