import { db } from "$lib/server/db";
import { cards } from "$lib/server/db/schema";
import type { Actions, PageServerLoad } from "./$types";

export const load: PageServerLoad = async ({ params }) => {
	return {
		cards: await db.query.cards.findMany({
			with: {
				images: true,
			},
		})
	}
}

export const actions = {
	createCard: async ({ request }) => {
		const data = await request.formData();

		const name = data.get('name');
		const link = data.get('link');
		const image = data.get('image')

		console.log(image)

		await db.insert(cards).values({
			link: link,
			name: name,
		})

	}
} satisfies Actions;
